# 基础镜像
FROM openjdk:8
# 维护人
LABEL maintainer="zxm<2060197959@qq.com>"
# 创建应用目录
RUN mkdir -p /home/app
# 创建日志目录并授权（默认 root 可写）
#RUN mkdir -p /var/log/yd-csf-api && chmod 755 /var/log/yd-csf-api

# 拷贝项目jar
COPY target/yd-csf-api-1.0-SNAPSHOT-exec.jar /home/app/yd-csf-api.jar
# 启动命令
ENTRYPOINT ["java", "-Duser.timezone=Asia/Shanghai", "-Xmx256m", "-Xms128m", "-jar", "/home/app/yd-csf-api.jar"]
EXPOSE 9202
